## haxe 1.14

=== haxe/Makefile ===
EXTLIB=../../mtcvs/extlib-dev
SWFLIB=../../mtcvs/swflib
EXTC=../../mtcvs/extc
NEKO=../neko
XML=../../mtcvs/xml-light
LIBS_SRC=$(EXTLIB)/*.ml* -n $(EXTLIB)/install.ml $(SWFLIB)/*.ml* $(EXTC)/extc.ml*
SRC=$(NEKO)/libs/include/ocaml/*.ml* *.ml*
LIBS=unix.cmxa $(XML)/xml-light.cmxa
FLAGS=-o haxe -pp camlp4o -P $(XML)/dtd.mli -lp "-cclib extc_stubs.o -cclib -lz"

all: xml
	ocamlc -c $(EXTC)/extc_stubs.c
	ocamake $(FLAGS) $(LIBS_SRC) $(SRC) $(LIBS)

xml:
	(cd ${XML} && make xml-light.cmxa)

universal: clean_haxe all
	mv haxe haxe.intel
	scp macmt:prog/lang/haxe/haxe haxe.ppc
	lipo -create -arch i386 haxe.intel -arch ppc haxe.ppc -output haxe

clean_haxe:
	rm -rf haxe

tools:
	(cd std/tools/haxedoc && haxe haxedoc.hxml && cp haxedoc ../../..)
	(cd std/tools/haxelib && haxe haxelib.hxml && cp haxelib ../../..)

clean:
	ocamake $(FLAGS) -clean $(LIBS_SRC) $(SRC) $(LIBS)
	rm -rf extc_stubs.o

## haxe 1.19

=== haxe/Makefile ===
--- 
+++ 
@@ -7,21 +7,34 @@
 SRC=$(NEKO)/libs/include/ocaml/*.ml* *.ml*
 LIBS=unix.cmxa $(XML)/xml-light.cmxa
 FLAGS=-o haxe -pp camlp4o -P $(XML)/dtd.mli -lp "-cclib extc_stubs.o -cclib -lz"
+LFLAGS=
+
+ifeq ($(PPC),1)
+LFLAGS=-ccopt '-arch ppc'
+endif
 
 all: xml
-	ocamlc -c $(EXTC)/extc_stubs.c
-	ocamake $(FLAGS) $(LIBS_SRC) $(SRC) $(LIBS)
+	ocamlopt $(LFLAGS) -c $(EXTC)/extc_stubs.c
+	ocamake -lp "$(LFLAGS)" $(FLAGS) $(LIBS_SRC) $(SRC) $(LIBS)
 
 xml:
-	(cd ${XML} && make xml-light.cmxa)
+	(cd ${XML} && make clean xml-light.cmxa)
 
-universal: clean_haxe all
+mode_ppc:	
+	sudo ln -sfh /usr/local/bin/ocamlopt.ppc /usr/local/bin/ocamlopt
+	sudo ln -sfh /usr/local/lib/ocaml_ppc /usr/local/lib/ocaml
+
+mode_intel:
+	sudo ln -sfh /usr/local/bin/ocamlopt.intel /usr/local/bin/ocamlopt
+	sudo ln -sfh /usr/local/lib/ocaml_intel /usr/local/lib/ocaml
+
+universal:
+	make PPC=1 clean mode_ppc all
+	mv haxe haxe.ppc
+	make clean mode_intel all
 	mv haxe haxe.intel
-	scp macmt:prog/lang/haxe/haxe haxe.ppc
 	lipo -create -arch i386 haxe.intel -arch ppc haxe.ppc -output haxe
-
-clean_haxe:
-	rm -rf haxe
+	chmod +x haxe
 
 tools:
 	(cd std/tools/haxedoc && haxe haxedoc.hxml && cp haxedoc ../../..)

=== ocaml/xml-light/Makefile ===
# Makefile generated by OCamake 
# http://tech.motion-twin.com
.SUFFIXES : .ml .mli .cmo .cmx .cmi .mll .mly

INSTALLDIR=`ocamlc -where`
CFLAGS=
LFLAGS= -a
LIBS=

all: xml-light.cma test.exe doc

opt: xml-light.cmxa test_opt.exe

installcommon: all
	cp xml.mli xmlParser.mli dtd.mli xml.cmi xmlParser.cmi dtd.cmi $(INSTALLDIR)

installbyte: all installcommon
	cp xml-light.cma $(INSTALLDIR)

installopt: opt installcommon
	cp xml-light.a xml-light.cmxa xml.cmx dtd.cmx xmlParser.cmx $(INSTALLDIR)

install: installbyte installopt

wininstall: all opt
	cp xml-light.cmxa xml-light.lib xml-light.cma xml.mli xmlParser.mli dtd.mli xml.cmi xmlParser.cmi dtd.cmi xml.cmx dtd.cmx xmlParser.cmx c:\ocaml\lib

doc:
	mkdir doc
	ocamldoc -sort -html -d doc xml.mli dtd.mli xmlParser.mli

test.exe: xml-light.cma
	ocamlc xml-light.cma test.ml -o test.exe
	
test_opt.exe: xml-light.cmxa
	ocamlopt xml-light.cmxa test.ml -o test_opt.exe

xml-light.cma: xml_parser.cmo xml_lexer.cmo dtd.cmo xmlParser.cmo xml.cmo 
	ocamlc -o xml-light.cma $(LFLAGS) $(LIBS) xml_parser.cmo xml_lexer.cmo dtd.cmo xmlParser.cmo xml.cmo

xml-light.cmxa: xml_parser.cmx xml_lexer.cmx dtd.cmx xmlParser.cmx xml.cmx 
	ocamlopt -o xml-light.cmxa $(LFLAGS) $(LIBS) xml_parser.cmx xml_lexer.cmx dtd.cmx xmlParser.cmx xml.cmx

dtd.cmo: xml.cmi xml_lexer.cmi dtd.cmi

dtd.cmx: xml.cmi xml_lexer.cmi dtd.cmi

xml.cmo: dtd.cmi xmlParser.cmi xml_lexer.cmi xml.cmi

xml.cmx: dtd.cmi xmlParser.cmi xml_lexer.cmi xml.cmi

xmlParser.cmo: dtd.cmi xml.cmi xml_lexer.cmi xmlParser.cmi

xmlParser.cmx: dtd.cmi xml.cmi xml_lexer.cmi xmlParser.cmi

dtd.cmi: xml.cmi

xml.cmi: 

xmlParser.cmi: dtd.cmi xml.cmi

xml_lexer.cmi: dtd.cmi

xml_parser.cmo: xml_parser.ml dtd.cmi xml_parser.mli xml_parser.cmi

xml_parser.cmx: xml_parser.ml dtd.cmi xml_parser.mli xml_parser.cmi

xml_parser.cmi: xml_parser.mli dtd.cmi xml.cmi

xml_lexer.cmo: xml_lexer.ml xml_lexer.cmi

xml_lexer.cmx: xml_lexer.ml xml_lexer.cmi

clean:
	rm -f xml-light.cma test.exe dtd.cmo dtd.cmi test.cmo test.cmi xml.cmo xml.cmi xmlParser.cmo xmlParser.cmi dtd.cmi xml.cmi xmlParser.cmi xml_lexer.cmi xml_lexer.cmo xml_lexer.ml xml_parser.mli xml_parser.cmi xml_parser.ml xml_parser.cmo
	rm -f xml_light.lib xml_light.a xml-light.cmxa test_opt.exe dtd.cmx dtd.obj dtd.o test.cmx test.obj test.o xml.cmx xml.obj xml.o xmlParser.cmx xmlParser.obj xmlParser.o xml_lexer.cmx xml_lexer.obj xml_lexer.o xml_parser.cmx xml_parser.obj xml_parser.o

wclean:
	-@del xml-light.cma test.exe dtd.cmo dtd.cmi test.cmo test.cmi xml.cmo xml.cmi xmlParser.cmo xmlParser.cmi dtd.cmi xml.cmi xmlParser.cmi xml_lexer.cmi xml_lexer.cmo xml_lexer.ml xml_parser.mli xml_parser.cmi xml_parser.ml xml_parser.cmo 2>NUL
	-@del xml_light.lib xml_light.a xml-light.cmxa test_opt.exe dtd.cmx dtd.obj dtd.o test.cmx test.obj test.o xml.cmx xml.obj xml.o xmlParser.cmx xmlParser.obj xmlParser.o xml_lexer.cmx xml_lexer.obj xml_lexer.o xml_parser.cmx xml_parser.obj xml_parser.o 2>NUL

# SUFFIXES
.ml.cmo:
	ocamlc $(CFLAGS) -c $<

.ml.cmx:
	ocamlopt $(CFLAGS) -c $<

.mli.cmi:
	ocamlc $(CFLAGS) $<

.mll.ml:
	ocamllex $<

.mly.ml:
	ocamlyacc $<

## haxe 2.5

=== haxe/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XML=../../mtcvs/xml-light
 LIBS_SRC=$(EXTLIB)/*.ml* -n $(EXTLIB)/install.ml $(SWFLIB)/*.ml* $(EXTC)/extc.ml*
 SRC=$(NEKO)/libs/include/ocaml/*.ml* *.ml*
-LIBS=unix.cmxa $(XML)/xml-light.cmxa
+LIBS=unix.cmxa str.cmxa $(XML)/xml-light.cmxa
 FLAGS=-o haxe -pp camlp4o -P $(XML)/dtd.mli -lp "-cclib extc_stubs.o -cclib -lz"
 LFLAGS=
 
@@ -20,7 +20,7 @@
 xml:
 	(cd ${XML} && make clean xml-light.cmxa)
 
-mode_ppc:	
+mode_ppc:
 	sudo ln -sfh /usr/local/bin/ocamlopt.ppc /usr/local/bin/ocamlopt
 	sudo ln -sfh /usr/local/lib/ocaml_ppc /usr/local/lib/ocaml

=== debian/changelog ===
haxe (1:2.5-1) unstable; urgency=low

  * New upstream version, taken from new upstream subversion repository.

 -- Jens Peter Secher <jps@debian.org>  Sun, 31 Jan 2010 23:08:43 +0100

haxe (1:2.4-4) unstable; urgency=low

  * Converted to dpkg-source format 3.0 (quilt).
  * Use mercurial-buildpackage for repository maintenance, so old
    repository does not exist any more.

 -- Jens Peter Secher <jps@debian.org>  Sun, 31 Jan 2010 22:37:10 +0100

haxe (1:2.4-3) unstable; urgency=low

  * Rebuild because the i386 had broken dependencies on neko.

 -- Jens Peter Secher <jps@debian.org>  Sat, 14 Nov 2009 11:29:58 +0100

haxe (1:2.4-2) unstable; urgency=low

  * Reinclude haxe-mode for Emacs after fixing emacs23 problem.
  * Depend on neko because haxelib and haxedoc need the libraries.
  * Bumped Standards-Version to 3.8.3, no change.

 -- Jens Peter Secher <jps@debian.org>  Tue, 08 Sep 2009 15:43:54 +0200

haxe (1:2.4-1) unstable; urgency=low

  * New upstream version (CVS 2009-08-01).
  * Removed obsolete parts of the copyright file now that ExtLib is 
    not included anymore.
  * Included patch for Ubuntu location of zlib, thanks to Alessio Treglia.
    (Closes: #533159)
  * Removed haxe-mode to get it into its own package.
    (Closes: #521222)
  * Included new commands in bash_completion.
  * Removed obsolete Lintian overrides.
  * Bumped Standards-Version to 3.8.2, no change.

 -- Jens Peter Secher <jps@debian.org>  Mon, 03 Aug 2009 21:29:45 +0200

haxe (1:2.3-1~bpo40+1) etch-backports; urgency=low

  * Backport to Lenny, adapt to old ocaml and debhelper 5.

 -- Jens Peter Secher <jps@debian.org>  Mon, 15 Jun 2009 21:40:08 +0200

haxe (1:2.3-1~bpo50+1) lenny-backports; urgency=low

  * Backport to Lenny, adapt to old camlp4.

 -- Jens Peter Secher <jps@debian.org>  Thu, 28 May 2009 20:06:08 +0200

haxe (1:2.3-1) unstable; urgency=low

  * New upstream version.
  * Remove patch ocaml-3.11-compile.diff because it is included upstream.
  * Bumped debhelper version to 7.
  * Updated the haxe manpage.

 -- Jens Peter Secher <jps@debian.org>  Mon, 25 May 2009 22:05:05 +0200

haxe (1:2.2-2) unstable; urgency=low

  * Use ocamlfind to locate and use the libraries xml-light and extlib
    which already exist in Debian as separate packages.
    (Closes: #519630)
  * Fixed compile error with camlp4 3.11, thanks to Stéphane Glondu.
    (Closes: #519627)
  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Bumped Standards-Version to 3.8.1.

 -- Jens Peter Secher <jps@debian.org>  Wed, 18 Mar 2009 23:09:50 +0100

haxe (1:2.2-1) experimental; urgency=low

  * New upstream release.
  * Updated install scripts to include OCaml optimisations.
  * Updated man page to include swf9 option.
  * Fixed broken bash completion.

 -- Jens Peter Secher <jps@debian.org>  Sun, 14 Dec 2008 18:22:19 +0100

haxe (1:2.1-1) experimental; urgency=low

  * Fixed build failure when using byte-code version of ocaml.
    (Closes: #501538)
  * Synchronise with 2.1 release.

 -- Jens Peter Secher <jps@debian.org>  Thu, 09 Oct 2008 21:30:03 +0200

haxe (1:2.0.1-1) experimental; urgency=low

  * Newest CVS checkout for experimental.
  * Build against neko 1.8.0.

 -- Jens Peter Secher <jps@debian.org>  Sun, 05 Oct 2008 11:24:49 +0200

haxe (1:2.0-1~bpo40+1) etch-backports; urgency=low

  * Backport to Etch, which requires dropping the dependency on camlp4
    and lowering dependency on emacs22 to emacs21.

 -- Jens Peter Secher <jps@debian.org>  Sun, 03 Aug 2008 14:28:20 +0200

haxe (1:2.0-1) unstable; urgency=low

  * New upstream release.

 -- Jens Peter Secher <jps@debian.org>  Thu, 31 Jul 2008 13:44:35 +0200

haxe (1:1.19-3) unstable; urgency=low

  * Remove bashism in script.
    (Closes: #484390)
  * Upgrade to Policy 3.8.0 by including a README.source explaining how to
    use dpatch.

 -- Jens Peter Secher <jps@debian.org>  Sun, 15 Jun 2008 11:04:09 +0200

haxe (1:1.19-2~bpo40+1) etch-backports; urgency=low

  * Backport to Etch, which requires dropping the dependency on camlp4.

 -- Jens Peter Secher <jps@debian.org>  Sat, 17 May 2008 15:08:08 +0200

haxe (1:1.19-2) unstable; urgency=low

  * Remove bashism in script.
    (Closes: #477202)

 -- Jens Peter Secher <jps@debian.org>  Sat, 26 Apr 2008 11:31:11 +0200

haxe (1:1.19-1) unstable; urgency=low

  * New upstream release.

 -- Jens Peter Secher <jps@debian.org>  Thu, 10 Apr 2008 21:47:44 +0200

haxe (1:1.18-1~bpo40+1) etch-backports; urgency=low

  * Backport to Etch, which requires dropping the dependency on camlp4.

 -- Jens Peter Secher <jps@debian.org>  Sat, 01 Mar 2008 12:32:55 +0100

haxe (1:1.18-1) unstable; urgency=low

  * New upstream release.

 -- Jens Peter Secher <jps@debian.org>  Tue, 26 Feb 2008 19:55:05 +0100

haxe (1:1.17-1~bpo40+2) etch-backports; urgency=low

  * Rebuild with fixed neko backport to get dependency right.

 -- Jens Peter Secher <jps@debian.org>  Tue, 05 Feb 2008 22:10:39 +0100

haxe (1:1.17-1~bpo40+1) etch-backports; urgency=low

  * Backport to Etch, which requires dropping the dependency on camlp4.

 -- Jens Peter Secher <jps@debian.org>  Tue, 05 Feb 2008 22:10:39 +0100

haxe (1:1.17-1) unstable; urgency=low

  * New upstream release.
  * Added a bash completion specification.
  * Bumped Standards-Version to 3.7.3.

 -- Jens Peter Secher <jps@debian.org>  Mon, 14 Jan 2008 23:17:46 +0100

haxe (1:1.16-1~bpo40+1) etch-backports; urgency=low

  * Backport to Etch, which requires dropping the dependency on camlp4.

 -- Jens Peter Secher <jps@debian.org>  Mon, 19 Nov 2007 21:31:56 +0100

haxe (1:1.16-1) unstable; urgency=low

  * New upstream release.

 -- Jens Peter Secher <jps@debian.org>  Wed, 07 Nov 2007 22:15:33 +0100

haxe (1:1.15-2) unstable; urgency=low

  * Make sure there is a Caml Preprocessor & Pretty Printer (camlp4) when
    building.
    (Closes: #441510)



=== debian/control ===
Source: haxe
Section: devel
Priority: optional
Maintainer: Jens Peter Secher <jps@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7), ocaml, ocaml-best-compilers | ocaml-native-compilers, ocaml-findlib, libextlib-ocaml-dev, libxml-light-ocaml-dev, camlp4 (>= 3.11), zlib1g-dev, neko (>= 1.8.1~)
Vcs-Hg: http://hg.debian.org/hg/collab-maint/haxe
Homepage: http://haxe.org

Package: haxe
Architecture: any
Section: devel
Depends: neko (>= 1.8.1), ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Description: Web-oriented universal programming language
 Programming language similar to JavaScript, but with full-featured
 static type system and generics.  The command-line compiler can
 generate Flash SWF files for client-side use, Neko bytecode for
 server-side use on Apache, or JavaScript/PHP using Browser DHTML API
 to create AJAX web applications.
 .
 haXe was written by Nicolas Cannasse.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for haXe.

package := $(firstword $(shell dh_listpackages))

# Do we have a native ocaml compiler?  If not, use bytecode.
ifeq ($(shell test -x /usr/bin/ocamlopt -o -x /usr/bin/ocamlopt.opt && echo true),true)
  OCAMLTYPE = install_native.ml
  OCAMLSTRIP =
  OCAMLDEPS = ocaml:Depends=
else
  OCAMLTYPE = install_bytecode.ml
  OCAMLSTRIP = -Xhaxe
  OCAMLDEPS = ocaml:Depends=ocaml-base-nox-$(shell ocamlfind ocamlc -version)
endif

# The upstream CVS repository.
motiontwin := :pserver:anonymous@cvs.motion-twin.com:/cvsroot
cvs := cvs -z3 -d $(motiontwin)
version := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2 | cut -d':' -f2 | cut -d'-' -f1)
date := 2010-01-12
repackdir := $(package)-$(version)

# Repackage the source.
get-orig-source:
	echo "*** Please hit enter on login (empty password) ***"
	$(cvs) login
	$(cvs) export -N -d $(repackdir) -D $(date) ocaml/swflib
	$(cvs) export -N -d $(repackdir) -D $(date) ocaml/extc
	$(cvs) export -N -d $(repackdir) -D $(date) neko/libs/include/ocaml
	svn export -r {$(date)} http://haxe.googlecode.com/svn/trunk $(repackdir)/haxe
	find $(repackdir) -name .cvsignore -o -name '*.vcproj' \
		-o -name '*.sln' -o -name '*.bat' -o -name '*.win' | xargs rm -rf
	tar cfz $(package)_$(version).orig.tar.gz $(repackdir)
	rm -rf $(repackdir)

build: build-stamp
build-stamp: 
	dh_testdir
	ocaml debian/$(OCAMLTYPE)
	$(CURDIR)/bin/haxe $(CURDIR)/haxe/std/tools/haxedoc/haxedoc.hxml
	$(CURDIR)/bin/haxe $(CURDIR)/haxe/std/tools/haxelib/haxelib.hxml
	touch $@

binary-indep: build-stamp

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	echo $(OCAMLDEPS) >> $(CURDIR)/debian/haxe.substvars
	dh_installdocs
	dh_install debian/haxe-mode.el usr/share/emacs/site-lisp/haxe-mode
	dh_installemacsen
	dh_install
	mkdir -p $(CURDIR)/debian/haxe/etc/bash_completion.d
	cp $(CURDIR)/debian/bash_completion $(CURDIR)/debian/haxe/etc/bash_completion.d/haxe
	dh_installman debian/haxe.1 debian/haxelib.1 debian/haxedoc.1
	dh_installchangelogs haxe/doc/CHANGES.txt
	dh_strip -Xhaxedoc -Xhaxelib $(OCAMLSTRIP)
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	-rm -f *-stamp
	-rm -rf $(CURDIR)/bin
	-rm -f $(CURDIR)/haxe/lexer.ml
	-rm -f $(CURDIR)/ocaml/xml-light/xml_parser.ml
	-rm -f $(CURDIR)/ocaml/xml-light/xml_parser.mli
	-rm -f $(CURDIR)/ocaml/xml-light/xml_lexer.ml
	find $(CURDIR) -name '*.o' -o -name '*.cmi' -o -name '*.cmx' -o -name '*.cmo' \
		-o -name '*.cma' -o -name '*.a' -o -name '*.cmxa' -o -name '*.n' \
		| xargs rm -rf
	rm -f $(CURDIR)/haxedoc
	rm -f $(CURDIR)/haxelib
	dh_clean

.PHONY: binary binary-indep binary-arch build clean

## haxe 2.7+20110131

=== haxe/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 LIBS=unix.cmxa str.cmxa $(XML)/xml-light.cmxa
 FLAGS=-o haxe -pp camlp4o -P $(XML)/dtd.mli -lp "-cclib extc_stubs.o -cclib -lz"
 LFLAGS=
+EXPORT=../../../projects/motionTools/haxe
 
 ifeq ($(PPC),1)
 LFLAGS=-ccopt '-arch ppc'
@@ -43,3 +44,7 @@
 clean:
 	ocamake $(FLAGS) -clean $(LIBS_SRC) $(SRC) $(LIBS)
 	rm -rf extc_stubs.o
+
+export:
+	cp haxe*.exe $(EXPORT)
+	rsync -a --exclude .svn --exclude *.n --exclude std/mt --delete std $(EXPORT)

=== ocaml/extc/Makefile ===
ZLIB = zlib.lib
CFLAGS = -I zlib
LIBS = -cclib $(ZLIB) -cclib extc_stubs.obj

all: bytecode native

test: bytecode
	ocamlc -custom -o test.exe -cclib $(ZLIB) extLib.cma extc.cma test.ml

test-opt: native
	ocamlopt -o test.exe -cclib $(ZLIB) extLib.cmxa extc.cmxa test.ml

bytecode: extc_stubs.obj
	ocamlc -a -o extc.cma $(LIBS) extc.ml

native: extc_stubs.obj
	ocamlopt -a -o extc.cmxa $(LIBS) extc.ml

extc_stubs.obj: extc_stubs.c
	ocamlc $(CFLAGS) extc_stubs.c

clean:
	rm -f extc.cma extc.cmi test.cmi extc.cmx extc.cmxa extc.o extc.obj extc.lib extc_stubs.obj extc_stubs.o
	rm -f extc.a libextc.a libextc.lib extc.cmo test.cmo test.exe text-opt.exe test.cmx test.o test.obj

=== debian/changelog ===
haxe (1:2.7+20110131-3) unstable; urgency=low

  * Fix linking so that it works with multiarch-enabled zlib by simply
    passing -lz to the ocaml compiler, thanks to Steve Langasek.
    (Closes: #622853)
  * Include a small test case to sanity-check the build.

 -- Jens Peter Secher <jps@debian.org>  Sat, 16 Apr 2011 15:01:20 +0200

haxe (1:2.7+20110131-2) unstable; urgency=low

  * Updated man page and bash comletion to include new macro options.

 -- Jens Peter Secher <jps@debian.org>  Sun, 06 Feb 2011 22:27:47 +0100

haxe (1:2.7+20110131-1) experimental; urgency=low

  * New upstream version.
  * Install standard library in /usr/share/haxe/std to cater for the haXe
    executable mangling of the class path: the path has to end in /std.
  * Include the upstream repository in Debian version to allow updating
    the upstream tarball.

 -- Jens Peter Secher <jps@debian.org>  Tue, 01 Feb 2011 00:29:31 +0100

haxe (1:2.6-1) experimental; urgency=low

  * New upstream version, which uses new features not present in the
    Debian version of ocaml extlib (see #596622), so reverting part of
    #519630 by using newest version of extlib directly from Motion-Twin
    CVS.
  * Bumped Standards-Version to 3.9.1, no changes.

 -- Jens Peter Secher <jps@debian.org>  Wed, 15 Sep 2010 21:42:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Jens Peter Secher <jps@debian.org>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>= 7), ocaml, ocaml-best-compilers | ocaml-native-compilers, ocaml-findlib, libextlib-ocaml-dev, libxml-light-ocaml-dev, camlp4 (>= 3.11), zlib1g-dev, neko (>= 1.8.1~)
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), ocaml, ocaml-best-compilers | ocaml-native-compilers, ocaml-findlib, libxml-light-ocaml-dev, camlp4 (>= 3.11), zlib1g-dev, neko (>= 1.8.1~)
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/haxe
 Homepage: http://haxe.org

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,13 @@
 # The upstream CVS repository.
 motiontwin := :pserver:anonymous@cvs.motion-twin.com:/cvsroot
 cvs := cvs -z3 -d $(motiontwin)
+
+# The Debian version must be of the format <epoch>:<main>.<minor>+<YYYYMMDD>
 version := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2 | cut -d':' -f2 | cut -d'-' -f1)
-date := 2010-01-12
+year := $(shell echo $(version) | cut -d'+' -f2 | cut -c'1-4')
+month := $(shell echo $(version) | cut -d'+' -f2 | cut -c'5-6')
+day := $(shell echo $(version) | cut -d'+' -f2 | cut -c'7-8')
+date := $(year)-$(month)-$(day)
 repackdir := $(package)-$(version)
 
 # Repackage the source.
@@ -27,6 +32,7 @@
 	$(cvs) login
 	$(cvs) export -N -d $(repackdir) -D $(date) ocaml/swflib
 	$(cvs) export -N -d $(repackdir) -D $(date) ocaml/extc
+	$(cvs) export -N -d $(repackdir) -D $(date) ocaml/extlib-dev
 	$(cvs) export -N -d $(repackdir) -D $(date) neko/libs/include/ocaml
 	svn export -r {$(date)} http://haxe.googlecode.com/svn/trunk $(repackdir)/haxe
 	find $(repackdir) -name .cvsignore -o -name '*.vcproj' \
@@ -42,9 +48,11 @@
 	$(CURDIR)/bin/haxe $(CURDIR)/haxe/std/tools/haxelib/haxelib.hxml
 	touch $@
 
-binary-indep: build-stamp
+check: build-stamp
+	[ "$(shell $(CURDIR)/bin/haxe -x Fib -cp debian)" = "Fib.hx:5: 89" ] \
+		&& echo Test passed || echo Test failed
 
-binary-arch: build-stamp
+binary-arch: check
 	dh_testdir
 	dh_testroot
 	echo $(OCAMLDEPS) >> $(CURDIR)/debian/haxe.substvars
@@ -65,6 +73,8 @@
 	dh_md5sums
 	dh_builddeb
 
+binary-indep: build-stamp
+
 binary: binary-indep binary-arch
 
 clean:
@@ -83,4 +93,4 @@
 	rm -f $(CURDIR)/haxelib
 	dh_clean
 
-.PHONY: binary binary-indep binary-arch build clean
+.PHONY: binary binary-indep binary-arch build check clean

## haxe 3.0.0~svn6707

=== Makefile ===
# Haxe compiler Makefile
#
#  - use 'make' to build all
#  - use 'make haxe' to build only the compiler (not the libraries)
#  - if you want to build quickly, install 'ocamlopt.opt' and change OCAMLOPT=ocamlopt.top
#
#  Windows users :
#  - use 'make -f Makefile.win' to build for Windows
#  - use 'make MSVC=1 -f Makefile.win' to build for Windows with OCaml/MSVC
#
.SUFFIXES : .ml .mli .cmo .cmi .cmx .mll .mly

INSTALL_DIR=/usr

OUTPUT=haxe
EXTENSION=
OCAMLOPT=ocamlopt

CFLAGS= -g -I libs/extlib -I libs/extc -I libs/neko -I libs/javalib -I libs/ziplib -I libs/swflib -I libs/xml-light -I libs/ttflib

CC_CMD = $(OCAMLOPT) $(CFLAGS) -c $<
CC_PARSER_CMD = $(OCAMLOPT) -pp camlp4o $(CFLAGS) -c parser.ml

LIBS=unix.cmxa str.cmxa libs/extlib/extLib.cmxa libs/xml-light/xml-light.cmxa libs/swflib/swflib.cmxa \
	libs/extc/extc.cmxa libs/neko/neko.cmxa libs/javalib/java.cmxa libs/ziplib/zip.cmxa libs/ttflib/ttf.cmxa

NATIVE_LIBS=-cclib libs/extc/extc_stubs.o -cclib -lz

RELDIR=../../..

EXPORT=../../../projects/motionTools/haxe

MODULES=ast type lexer common genxml parser typecore optimizer typeload \
codegen gencommon genas3 gencpp genjs genneko genphp genswf8 \
	genswf9 genswf genjava gencs interp typer matcher dce main

export HAXE_STD_PATH=$(CURDIR)/std

all: libs haxe

libs:
	make -C libs/extlib opt
	make -C libs/extc native
	make -C libs/neko
	make -C libs/javalib
	make -C libs/ziplib
	make -C libs/swflib
	make -C libs/xml-light xml-light.cmxa
	make -C libs/ttflib

haxe: $(MODULES:=.cmx)
	$(OCAMLOPT) -o $(OUTPUT) $(NATIVE_LIBS) $(LIBS) $(MODULES:=.cmx)

haxelib:
	$(CURDIR)/$(OUTPUT) --cwd "$(CURDIR)/std/tools/haxelib" haxelib.hxml
	cp std/tools/haxelib/haxelib$(EXTENSION) haxelib$(EXTENSION)

haxedoc:
	$(CURDIR)/$(OUTPUT) --cwd "$(CURDIR)/std/tools/haxedoc" haxedoc.hxml
	cp std/tools/haxedoc/haxedoc$(EXTENSION) haxedoc$(EXTENSION)

tools: haxelib haxedoc

install:
	cp haxe $(INSTALL_DIR)/bin/haxe
	rm -rf $(INSTALL_DIR)/lib/haxe/std
	-mkdir -p $(INSTALL_DIR)/lib/haxe
	svn export std/ $(INSTALL_DIR)/lib/haxe/std
	-mkdir -p $(INSTALL_DIR)/lib/haxe/lib
	chmod -R a+rx $(INSTALL_DIR)/lib/haxe
	chmod 777 $(INSTALL_DIR)/lib/haxe/lib
	cp std/tools/haxelib/haxelib.sh $(INSTALL_DIR)/bin/haxelib
	cp std/tools/haxedoc/haxedoc.sh $(INSTALL_DIR)/bin/haxedoc
	chmod a+rx $(INSTALL_DIR)/bin/haxe $(INSTALL_DIR)/bin/haxelib $(INSTALL_DIR)/bin/haxedoc

# will install native version of the tools instead of script ones
install_tools: tools
	cp haxelib ${INSTALL_DIR}/bin/haxelib
	cp haxedoc ${INSTALL_DIR}/bin/haxedoc
	chmod a+rx $(INSTALL_DIR)/bin/haxelib $(INSTALL_DIR)/bin/haxedoc

uninstall:
	rm -rf $(INSTALL_DIR)/bin/haxe $(INSTALL_DIR)/bin/haxelib $(INSTALL_DIR)/lib/haxe

export:
	cp haxe*.exe doc/CHANGES.txt $(EXPORT)
	rsync -a --exclude .svn --exclude *.n --exclude std/libs --delete std $(EXPORT)

codegen.cmx: optimizer.cmx typeload.cmx typecore.cmx type.cmx genxml.cmx common.cmx ast.cmx

common.cmx: type.cmx ast.cmx

dce.cmx: ast.cmx common.cmx type.cmx

genas3.cmx: type.cmx common.cmx codegen.cmx ast.cmx

gencommon.cmx: type.cmx common.cmx codegen.cmx ast.cmx

gencpp.cmx: type.cmx lexer.cmx common.cmx codegen.cmx ast.cmx

gencs.cmx: type.cmx lexer.cmx gencommon.cmx common.cmx codegen.cmx ast.cmx

genjava.cmx: type.cmx gencommon.cmx common.cmx codegen.cmx ast.cmx

genjs.cmx: type.cmx optimizer.cmx lexer.cmx common.cmx codegen.cmx ast.cmx

genneko.cmx: type.cmx lexer.cmx common.cmx codegen.cmx ast.cmx

genphp.cmx: type.cmx lexer.cmx common.cmx codegen.cmx ast.cmx

genswf.cmx: type.cmx genswf9.cmx genswf8.cmx common.cmx ast.cmx

genswf8.cmx: type.cmx lexer.cmx common.cmx codegen.cmx ast.cmx

genswf9.cmx: type.cmx lexer.cmx genswf8.cmx common.cmx codegen.cmx ast.cmx

genxml.cmx: type.cmx lexer.cmx common.cmx ast.cmx

interp.cmx: typecore.cmx type.cmx lexer.cmx genneko.cmx common.cmx codegen.cmx ast.cmx genswf.cmx parser.cmx

matcher.cmx: optimizer.cmx codegen.cmx typecore.cmx type.cmx typer.cmx common.cmx ast.cmx

main.cmx: dce.cmx matcher.cmx typer.cmx typeload.cmx typecore.cmx type.cmx parser.cmx optimizer.cmx lexer.cmx interp.cmx genxml.cmx genswf.cmx genphp.cmx genneko.cmx genjs.cmx gencpp.cmx genas3.cmx common.cmx codegen.cmx ast.cmx gencommon.cmx genjava.cmx gencs.cmx

optimizer.cmx: typecore.cmx type.cmx parser.cmx common.cmx ast.cmx

parser.cmx: parser.ml lexer.cmx common.cmx ast.cmx
	$(CC_PARSER_CMD)

type.cmx: ast.cmx

typecore.cmx: type.cmx common.cmx ast.cmx

typeload.cmx: typecore.cmx type.cmx parser.cmx optimizer.cmx lexer.cmx common.cmx ast.cmx

typer.cmx: typeload.cmx typecore.cmx type.cmx parser.cmx optimizer.cmx lexer.cmx interp.cmx genneko.cmx genjs.cmx common.cmx codegen.cmx ast.cmx

lexer.cmx: lexer.ml

lexer.cmx: ast.cmx


clean: clean_libs clean_haxe clean_tools

clean_libs:
	make -C libs/extlib clean
	make -C libs/extc clean
	make -C libs/neko clean
	make -C libs/ziplib clean
	make -C libs/javalib clean
	make -C libs/swflib clean
	make -C libs/xml-light clean
	make -C libs/ttflib clean

clean_haxe:
	rm -f $(MODULES:=.obj) $(MODULES:=.o) $(MODULES:=.cmx) $(MODULES:=.cmi) lexer.ml

clean_tools:
	rm -f $(OUTPUT) haxelib haxedoc

# SUFFIXES
.ml.cmx:
	$(CC_CMD)

.mli.cmi:
	$(CC_CMD)

.mll.ml:
	ocamllex $<

.PHONY: haxe libs

=== libs/extc/Makefile ===
CFLAGS = -I zlib
LIBS = -I ../extlib

all: bytecode native

bytecode: extc_stubs.obj
	ocamlc -a -o extc.cma $(LIBS) extc.ml

native: extc_stubs.obj
	ocamlopt -a -o extc.cmxa $(LIBS) extc.ml

extc_stubs.obj: extc_stubs.c
	ocamlc $(CFLAGS) extc_stubs.c

clean:
	rm -f extc.cma extc.cmi extc.cmx extc.cmxa extc.o extc.obj extc.lib extc_stubs.obj extc_stubs.o
	rm -f extc.a libextc.a libextc.lib extc.cmo

=== libs/extlib/Makefile ===
# Makefile contributed by Alain Frisch

MODULES = \
 enum bitSet dynArray extArray extHashtbl extList extString global IO option \
 pMap std uChar uTF8 base64 unzip refList optParse dllist multiArray

# the list is topologically sorted

MLI = $(MODULES:=.mli)
SRC = $(MLI) $(MODULES:=.ml) extLib.ml

all:
	ocamlc -a -o extLib.cma $(SRC)
opt:
	ocamlopt -g -a -o extLib.cmxa $(SRC)
doc:
	ocamlc -c $(MODULES:=.mli)
	mkdir -p doc/
	ocamldoc -sort -html -d doc/ $(MODULES:=.mli)
	cp odoc_style.css doc/style.css

copy:
	mv *.cmi *.cmx *.cma *.cmxa extLib.lib c:/ocaml/lib/

install:
	cp META.txt META
	ocamlfind install extlib META *.cmi *.cma $(MLI) $(wildcard *.cmxa) $(wildcard *.a)

uninstall:
	ocamlfind remove extlib

clean:
	rm -f $(wildcard *.cmo) $(wildcard *.cmx) $(wildcard *.o) $(wildcard *.cmi) $(wildcard *.cma) $(wildcard *.cmxa) $(wildcard *.a) $(wildcard *.lib) $(wildcard *.obj)
	rm -Rf doc

=== libs/javalib/Makefile ===
all:
	ocamlopt -g -I ../extlib -a -o java.cmxa jData.ml jReader.ml
	
clean:
	rm -rf java.cmxa java.lib java.a $(wildcard *.cmx) $(wildcard *.obj) $(wildcard *.o) $(wildcard *.cmi)

=== libs/neko/Makefile ===
all:
	ocamlopt -I ../extlib -a -o neko.cmxa nast.ml nxml.ml binast.ml nbytecode.ml ncompile.ml

clean:
	rm -rf neko.cmxa neko.lib neko.a $(wilcard *.cmx) $(wildcard *.obj) $(wildcard *.o) $(wildcard *.cmi)

=== libs/swflib/Makefile ===
# Makefile generated by OCamake
# http://tech.motion-twin.com
.SUFFIXES : .ml .mli .cmo .cmi .cmx .mll .mly

CFLAGS= -I ../extlib -I ../extc -g
LIBS=
LFLAGS= -o swflib.cmxa -a

MODULES=as3code.cmx png.cmx swf.cmx actionScript.cmx as3parse.cmx swfPic.cmx as3hlparse.cmx swfParser.cmx

all: swflib.cmxa

swflib.cmxa: $(MODULES)
	ocamlopt $(LFLAGS) $(LIBS) $(MODULES)

actionScript.cmx: swf.cmx

as3code.cmx: as3.cmi

as3hl.cmi: as3.cmi

as3hlparse.cmx: as3parse.cmx as3hl.cmi as3code.cmx as3.cmi

as3parse.cmx: as3code.cmx as3.cmi

png.cmx: png.cmi

swf.cmx: as3.cmi

swfParser.cmx: swf.cmx as3parse.cmx actionScript.cmx

swfPic.cmx: swf.cmx png.cmi

clean:
	rm -f swflib.cmxa swflib.lib swflib.a as3.cmi as3hl.cmi
	rm -f $(MODULES) $(MODULES:.cmx=.obj) $(MODULES:.cmx=.cmi) $(MODULES:.cmx=.o)

# SUFFIXES
.ml.cmo:
	ocamlc $(CFLAGS) -c $<

.ml.cmx:
	ocamlopt $(CFLAGS) -c $<

.mli.cmi:
	ocamlc $(CFLAGS) $<

.mll.ml:
	ocamllex $<

.mly.ml:
	ocamlyacc $<

=== libs/ttflib/Makefile ===
FLAGS=-I ../extlib -I ../swflib
FILES=tTFData tTFParser tTFTools tTFSwfWriter tTFCanvasWriter tTFJsonWriter
LIBS=extLib swflib unix

OUTPUT=ttf

all:
	ocamlopt $(FLAGS) $(FILES:=.ml) -g -a -o ttf.cmxa

exec:
	ocamlopt $(FLAGS) $(LIBS:=.cmxa) $(FILES:=.ml) main.ml -g -o $(OUTPUT)

clean:
	rm -rf ttf.cmxa ttf.lib ttf.a $(wildcard *.cmx) $(wildcard *.obj) $(wildcard *.o) $(wildcard *.cmi)

=== libs/ziplib/Makefile ===
all:
	ocamlopt -g -I ../extlib -I ../extc -a -o zip.cmxa zlib.mli zlib.ml zip.mli zip.ml
	
clean:
	rm -rf zip.cmxa zip.lib zip.a $(wildcard *.cmx) $(wildcard *.obj) $(wildcard *.o) $(wildcard *.cmi)

=== libs/ziplib/test/Makefile ===
all: ../zip.cmxa minizip.ml
	ocamlopt -g -g -I .. -I ../../extc -o minizip -cclib ../../extc/extc_stubs.o -cclib -lz unix.cmxa ../zip.cmxa minizip.ml

clean:
	rm -rf minizip $(wildcard *.cmx) $(wildcard *.obj) $(wildcard *.o) $(wildcard *.cmi)

=== debian/changelog ===
haxe (1:3.0.0~svn6707-4) unstable; urgency=low

  * QA upload.
  * debian/haxe.install: Fix typo that resulted in misplaced .el files.
  * debian/rules: Comment out chmod call specifying odd /usr/lib permissions.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Jul 2013 21:26:38 -0400

haxe (1:3.0.0~svn6707-3) unstable; urgency=low

  * QA upload.
  * Upload to unstable.
  * Bytecompiling builds all archs. (Closes: #621890).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 26 Jul 2013 09:04:49 -0400

haxe (1:3.0.0~svn6707-2) experimental; urgency=low

  * QA upload.
  * Bytecompile everything.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 23 Jul 2013 11:05:26 -0400

haxe (1:3.0.0~svn6707-1) experimental; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * New upstream release.
  * Use upstream Makefile to build.
  * Make VCS tags canonical.
  * Fix grammar errors in manpages.
  * Add watch file.
  * Bump debhelper build-dep and compat to 9.
    + Convert rules to simple dh style.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 18 Jul 2013 13:24:29 -0400

=== debian/control ===
Source: haxe
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), ocaml, ocaml-best-compilers | ocaml-native-compilers, ocaml-findlib, libxml-light-ocaml-dev, camlp4 (>= 3.11), zlib1g-dev, neko (>= 1.8.1~)
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/haxe
Homepage: http://haxe.org

Package: haxe
Architecture: any
Depends: neko (>= 1.8.1), ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Description: Web-oriented universal programming language
 Programming language similar to JavaScript, but with full-featured
 static type system and generics.  The command-line compiler can
 generate Flash SWF files for client-side use, Neko bytecode for
 server-side use on Apache, or JavaScript/PHP using Browser DHTML API
 to create AJAX web applications.
 .
 haXe was written by Nicolas Cannasse.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for haXe.

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_install:

override_dh_install:
	mkdir -p $(CURDIR)/debian/haxe/etc/bash_completion.d
	cp debian/bash_completion $(CURDIR)/debian/haxe/etc/bash_completion.d/haxe
	mkdir -p $(CURDIR)/debian/haxe/usr/bin
	mkdir -p $(CURDIR)/debian/haxe/usr/lib
	cp std/tools/haxelib/haxelib.sh $(CURDIR)/debian/haxe/usr/bin/haxelib
	cp std/tools/haxedoc/haxedoc.sh $(CURDIR)/debian/haxe/usr/bin/haxedoc
	dh_install
	rm -f $(CURDIR)/debian/haxe/usr/share/haxe/std/tools/haxelib/haxelib.sh
	rm -f $(CURDIR)/debian/haxe/usr/share/haxe/std/tools/haxedoc/haxedoc.sh

override_dh_clean:
	find $(CURDIR) -name '*.cmx' |xargs rm -f
	find $(CURDIR) -name '*.cmo' |xargs rm -f
	find $(CURDIR) -name '*.cma' |xargs rm -f
	dh_clean

=== debian/watch ===
version=3
http://haxe.org/file/haxe-(.+)-linux32\.tar\.gz

## haxe 3.0.0~svn6707+dfsg

=== debian/changelog ===
haxe (1:3.0.0~svn6707+dfsg-1) unstable; urgency=medium

  * Adopt as Debian Flash Team (Closes: #742052).
    + Set maintainer to Debian Flash team, add myself to uploaders.
  * Set Vcs-* fields to updated collab-maint git repo.
  * Replace jquery-latest.min.js and swfobject.js with symlinks to system ones.
    + Remove sourceless files from upstream tarball (Closes: #736596).
    + Add libjs-jquery and libjs-swfobject runtime dependencies.
  * Convert d/copyright to format 1.0, thanks cme.
    + Add Files-Excluded to remove sourceless files.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Move d/watch check to github, add get-orig-source target.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 19 May 2015 19:00:57 +0200

=== debian/control ===
Source: haxe
Section: devel
Priority: optional
Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
Uploaders: Gabriele Giacone <1o5g4r8o@gmail.com>
Standards-Version: 3.9.6
Build-Depends: camlp4 (>= 3.11),
               debhelper (>= 9),
               libxml-light-ocaml-dev,
               neko (>= 1.8.1~),
               ocaml,
               ocaml-best-compilers | ocaml-native-compilers,
               ocaml-findlib,
               zlib1g-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/haxe.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/haxe.git
Homepage: http://haxe.org

Package: haxe
Architecture: any
Depends: libjs-jquery,
         libjs-swfobject,
         neko (>= 1.8.1),
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Description: Web-oriented universal programming language
 Programming language similar to JavaScript, but with full-featured
 static type system and generics.  The command-line compiler can
 generate Flash SWF files for client-side use, Neko bytecode for
 server-side use on Apache, or JavaScript/PHP using Browser DHTML API
 to create AJAX web applications.
 .
 haXe was written by Nicolas Cannasse.

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,6 @@
 	find $(CURDIR) -name '*.cmo' |xargs rm -f
 	find $(CURDIR) -name '*.cma' |xargs rm -f
 	dh_clean
+
+get-orig-source:
+	uscan --verbose --rename --compression xz --force-download

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//,uversionmangle=s/-/~/g,repacksuffix=+dfsg"\
 https://github.com/HaxeFoundation/haxe/tags .*/(\d\S*)\.tar\.gz

## haxe 3.2.1%2Bdfsg

=== debian/control ===
Source: haxe
Section: devel
Priority: optional
Maintainer: Andy Li <andy@onthewings.net>
Standards-Version: 3.9.6
Build-Depends: camlp4 (>= 3.11),
               debhelper (>= 9),
               libxml-light-ocaml-dev,
               neko (>= 2.0.0~),
               ocaml,
               ocaml-best-compilers | ocaml-native-compilers,
               ocaml-findlib,
               zlib1g-dev,
               bash-completion
Vcs-Git: https://github.com/HaxeFoundation/haxe-debian.git
Vcs-Browser: https://github.com/HaxeFoundation/haxe-debian
Homepage: http://haxe.org

Package: haxe
Architecture: any
Depends: libjs-jquery,
         libjs-swfobject,
         neko (>= 2.0.0),
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Description: multi-target universal programming language
 Haxe is an open source toolkit based on a modern,
 high level, strictly typed programming language, a cross-compiler,
 a complete cross-platform standard library and ways to access each
 platform's native capabilities.
